---
name: "openOutdoorCyclingNavigation"
mode: "kit"
versionRequirements:
  - { name: "@ray-js/ray", version: "1.4.29" }
title: "openOutdoorCyclingNavigation - Navigate to Cycling Navigation Page"
---

## openOutdoorCyclingNavigation

> [VERSION] @ray-js/ray >= 1.4.29

> 💡 This feature is only available in the Smart Mobility app; it is unavailable in the developer tools and requires packaging or on-device debugging

### Description

Navigate to the cycling navigation page

### Parameters

`Params`

| Parameter | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `params` | `OpenOutdoorCyclingNavigationParams` | No | - | Request parameters |

### Referenced Types

##### `type` OpenOutdoorCyclingNavigationParams

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` |  |

##### `type` ICommon

| Property | Type | Description |
| --- | --- | --- |
| `success` | `() => void` | Callback on successful API call |
| `fail` | `(err: ErrorMsg) => void` | Failure callback |
| `complete` | `() => void` | Completion callback (executed on both success and failure) |

##### `type` ErrorMsg

| Property | Type | Description |
| --- | --- | --- |
| `errorMsg` | `string` | Error message |
| `errorCode` | `string \| number` | Error code |
| `innerError` | `Object` | Error extension |

##### `type` ErrorMsg.innerError

| Property | Type | Description |
| --- | --- | --- |
| `errorCode` | `string \| number` | Error extension code |
| `errorMsg` | `string` | Error extension message |


### Examples

#### Basic usage

```ts
import { openOutdoorCyclingNavigation } from '@ray-js/ray';

openOutdoorCyclingNavigation({
  devId: 'your_device_id',
}).then(() => {
  console.log('Navigated to cycling navigation page');
});
```
